iPhone Coolstars Repo requires Unix tools to be installed?

Discussion in 'Jailbreaks and iOS Hacks' started by Auxo, Jan 4, 2014.

  1. Auxo macrumors 6502

    Joined:
    Mar 7, 2013
    Location:
    A³tweaks
    #1
    Hey I'm not too sure if a new thread was suitable but I just fixed an evasion boot logo with the help of Coolstars repo. Now this repo says I need make a complete upgrade on 8 different tools from library, shell to index search utilities.

    Should I upgrade?
     
  2. Auxo thread starter macrumors 6502

    Joined:
    Mar 7, 2013
    Location:
    A³tweaks
  3. Menneisyys2 macrumors 603

    Joined:
    Jun 7, 2011
    #3
    Stay tuned - I'm just investigating these 7 packages. Will report back soon.
     
  4. Auxo thread starter macrumors 6502

    Joined:
    Mar 7, 2013
    Location:
    A³tweaks
    #4
    Cool beans!
     
  5. Menneisyys2 macrumors 603

    Joined:
    Jun 7, 2011
    #5
    They're absolutely safe upgdes. These Coolstars folks routinely recompile Unix tools for iOS; this is why their repo contains more up-to-date system packages than the default ones (e.g., BigBoss) and this is why you're presented a list of upgrades immediately after adding their repo.

    I've tested all their currently available, upgraded packages and found them working just fine on my 7.1b2 iPhone 5. That is, you can upgrade absolutely safely.

    BTW, these shell commands and other utilities have already been installed though these dependencies w/o installing anything manually; this is why they come up as update-able packages:

    dpkg: bash, bzip2, coreutils-bin, diffutils, findutils, gzip, lzma, ncurses, tar
    where findutils: bash, sed
     

Share This Page